### Method

# Ide SimpleToolchain set_tool_for_language

#### Declaration

    void
    ide_simple_toolchain_set_tool_for_language (
      IdeSimpleToolchain* self,
      const gchar* language,
      const gchar* tool_id,
      const gchar* tool_path
    )

#### Description

Gets the path of the compiler executable.

Available since: | 3.32

#### Parameters

`language` | `const gchar*`
| The language of the tool like `IDE_TOOLCHAIN_LANGUAGE_C`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`tool_id` | `const gchar*`
| The identifier of the tool like `IDE_TOOLCHAIN_TOOL_CC`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`tool_path` | `const gchar*`
| The path of.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.